%% N2 AFPADs - Read in Varun's ADMs
%  13/08/16

% Read ADMs
load('M:\work\ePolyScat\n2_multiOrb_110416\aligned_frame_results_new_ADMs_130816\zero order ADMs\D20.mat');
load('M:\work\ePolyScat\n2_multiOrb_110416\aligned_frame_results_new_ADMs_130816\zero order ADMs\D40.mat');
load('M:\work\ePolyScat\n2_multiOrb_110416\aligned_frame_results_new_ADMs_130816\zero order ADMs\D60.mat');

% Put into structure to match my old ADMs (for compatibility with existing code
alignAng.ADM=[ones(length(D2ave),1) D2ave D4ave D6ave].';

% Other required values
alignAng.t=1:length(D2ave);
alignAng.ADM_in=[0 0; 2 0; 4 0; 6 0];

% Fix factor of (2*K +1)/4*pi, leave K=0 as unity
% temp=repmat((2.*alignAng.ADM_in(:,1)+1)./(4*pi),1,length(D2ave));
% alignAng.ADM(2:end,:)=alignAng.ADM(2:end,:).*temp(2:end,:);

% Fix factor of (2*K +1)/4*pi, including K=0 case
temp=repmat((2.*alignAng.ADM_in(:,1)+1)./(4*pi),1,length(D2ave));
alignAng.ADM=alignAng.ADM.*temp;

clear D2ave D4ave D6ave;