function gamma=pad_simple_io(path)

% IO function for "pad_simple_MF_conv_symm_fit.m"
% Based on "betaSimFit_3_io.m" developed for acetylene calculations, dated 14/05/07.
% Adapted to take {states} as input, each row defines |ji ki>|j+ k+>{excitation branch, 0=q, 1=r, 2=p}
%
% 11/08/16  This version for running with fitting codes, set for ePS AFPADs.

%read in gamma values - very inelegant but i'm crap at IO
    
% fName=['MF_PAD_conv_gamma'];
% [path 'MF_PAD_conv_gamma.dat']
%clear c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 c12;
% [c1,c2,c3,c4,c5,c6,c7,c8,c9,c10, c11, c12]=textread([path fName '.dat'], '%f %f %f %f %f %f %f %f %f %f %f %f', 'headerlines',8);
[c1,c2,c3,c4,c5,c6,c7,c8,c9,c10, c11, c12]=textread(path, '%f %f %f %f %f %f %f %f %f %f %f %f', 'headerlines',8);
gamma(1:length(c1),1:12)=[c1 c2 c3 c4 c5 c6 c7 c8 c9 c10 c11 c12]; %indexing as n+1 to allow for n=0 cases

end